# confer | MatterLinux configuration manager
`coner` is a simple tool for managing desktop/window manager configurations,
it allows you to easily create configurations from your dot files and
allows you to easily install them

### Installation
To compile `coner` and to use it, you will need the following:
- gcc 
- libgit2
- make
- gettext  
- libinih
- curl
- doas (or sudo)

After installing these dependencies, **download the latest 
release for a stable build**. Clone the repository only for development.

After downloading the source code, you can compile `mc` using the 
`make` tool:
```bash
make
```
After compiling it, you can install the binary, locales and the symbolic links:
```bash
make install
```
