#pragma once
#include <libmp/all.h>
#include <stdbool.h>

#include "args.h"
#include "ctx.h"

typedef bool (*cmd_func_t)(ctx_t *ctx, args_t *args);

typedef struct cmd {
  char      *name;
  char      *desc;
  cmd_func_t func;
  bool       lock;
} cmd_t;

bool cmd_pull(ctx_t *ctx, args_t *args);
bool cmd_gen(ctx_t *ctx, args_t *args);
