#pragma once
#include "ctx.h"
#include "target.h"

#include <stdbool.h>
#include <stddef.h>

typedef struct config {
  target_t *t_first;
  target_t *t_last;
  size_t    t_len;

  char   *name;
  char   *desc;
  char   *author;
  clist_t keywords;
} config_t;

bool config_load(ctx_t *ctx, config_t *config, char *path);
void config_free(config_t *config);
void config_print(config_t *config);
