#pragma once

enum ErrorCodes {
  HomedirInvalid    = 953,
  HomedirAccessFail = 954,

  ConfigUnknown   = 955,
  ConfigNotFound  = 954,
  ConfigInvalid   = 953,
  ConfigParseFail = 952,
  ConfigMultiple  = 951,

  TargetSrcFail = 950,

  OpendirFail = 948,
  MkdirFail   = 945,
  OpenFail    = 944,

  RunNoRoot      = 943,
  RunCmdNotFound = 942,
  RunCmdFail     = 941,

  UrlCurlFail = 940,
  UrlReqFail  = 939,
  UrlNullFail = 938,

  UrlReqCodeFail = 937,
  UrlReqBadCode  = 936,

  UrlLocationFail = 935,
  UrlLocationBad  = 934
};

extern int   errno;
extern char *errch;

char *error_set(char *text, ...);
