#pragma once
#include <stdbool.h>

#define FG_RED       "\x1b[31m"
#define FG_BOLD      "\x1b[1m"
#define FG_BLUE      "\x1b[34m"
#define FG_CYAN      "\x1b[36m"
#define FG_GREEN     "\x1b[32m"
#define FG_MAGENTA   "\x1b[35m"
#define FG_UNDERLINE "\x1b[4m"
#define FG_RESET     "\x1b[0m"

void bar_init();
bool bar(float, float);
void bar_free();

void info(const char *, ...);
void error(const char *, ...);
void details(const char *, ...);
void success(const char *, ...);
void input(const char *, ...);
bool yesno(const char *);
